Subject: [Megaco] RTP profiles clarification

From: "Rasko Pavlovic" <[email-masked]>
Date: Thu, 17 Oct 2002 10:06:01 +0200

Hi there,
 
I need some help in clarifying static and dynamic profiles. So the story
goes:
1. G711 A-low is defined as RTP AVP 8
 
2. G711 u-low is RTP AVP 0
 
3. G726 as far as I know there is no RTP AVP for this codec. So, this
one should be carried over as dynamic. But one thing that is not defines
is how to carry over rate parameter since there are 4 algorithms  for
G726 with 16, 24,32,40 kbps. I think syntax should be something like:
v=0
c=IN IP4 $
m=audio $ RTP/AVP 96
a=rtmap:96 G726
a=fmtp:96 rate=16[24 32 40]
Is there any already adopted syntax or is there anybody working on
defining this ?
 
4. G727 same question as for G726
 
5. G729E, G729A, G729AB . G729 is RTP/AVP 18. We need syntax for
defining annex to be used. There were several approaches but I think the
most common is:
v=0
c=IN IP4 $
m=audio $ RTP/AVP 97
a=rtmap:97 G729
a=fmtp:97 annexE=yes ( in case we support both A and B annexes a=fmtp:97
annexA=yes annexB=yes )
 
6. G723.1A with rates 5.3 kbps and 6.3 kbps. No RTP/AVP defined.
v=0
c=IN IP4 $
m=audio $ RTP/AVP 98
a=rtmap:98 G723.1
a=fmtp:98 annexA=yes rate=5.3[6.3]
 
7.G728 defined as RTP/AVP 15
 
8. GSM EFR. No RTP/AVP defined.
v=0
c=IN IP4 $
m=audio $ RTP/AVP 99
a=rtmap:99 GSMEFR
Any comments, proposals or already adopted solutions on those issues ?
----------------------------------------------------------
Rasko PAVLOVIC
Daisy Technologies d.o.o.
Stegne 21c; 1000 Ljubljana; Slovenia
fax: +386 (0)1 2342 770
e-mail:  [email-masked]
<mailto:[email-masked]> 
web: http://www.daisy-tech.com <http://www.daisy-tech.com/> 
--------------------------------------------------------- 
 
_______________________________________________
Megaco mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/megaco